Patch-STLux_2.51.13.0267

Release Date

October 2, 2015

Description

STLUX support Patch for RKit-STM8 version 2.44.12.0199 2012/07/26

Copyright (c) 1995-2012 Raisonance S.A.S. All rights reserved.

Thank your for choosing Raisonance development tools for your microcontroller project. This patch can be used to add support for the STLUX devices to the RKit-STM8 toolset from Raisonance.

SECTION 1 General information

A. Supported configurations/platforms Raisonance toolsets and Ride7 operate on Windows 8 (32 and 64-bit), Windows 7 (32 and 64-bit), Windows Vista (32 and 64-bit) and Windows XP SP3 (32-bit only). Other versions of Windows, including Windows 2000, Windows XP 64-bit and Windows Server, are not supported. Administrative rights are required in order to install this software. Only native versions of Windows are supported. Emulators such as VMware, QEMU, Citrix, Wine, Xen (or others) are not supported.

B. Supported microcontrollers The following devices are supported by this patch: - STLUX285 - STLUX385

SECTION 2 Version history

RKit-STM8 Patch for RKit-STM8 version 2.50.13.0112 (Released 2013/10/18)

Improvements over previous patch: . Patch is now working on Windows XP with Ride versions 7.44.13.0109 and 7.46.13.0185 . Corrected default Option Bytes. RKit-STM8 Patch for RKit-STM8 version 2.44.12.0199 (Released 2012/07/26)

Improvements over previous patch: . Patch isn't restricted to a dedicated RKit-STM8 version anymore. . Patch is now provided through a Windows Installation. RKit-STM8 Patch for RKit-STM8 version 2.32.10.0307 (Released 2010/12/07)

Improvements over previous patch: . Corrected ADC registers to match the actual STLUX device. RKit-STM8 Patch for RKit-STM8 version 2.32.10.0307 (Released 2010/12/06)

Improvements over previous patch: . Removed unused peripherals: BEEP, CAN, SPI, TIM1, TIM2, TIM3, UART3 . ADC2 renamed to ADC . UART1 renamed to UART RKit-STM8 Patch for RKit-STM8 version 2.32.10.0307 (Released 2010/12/02)

Improvements: . This patch adds support for STLUX microcontrollers. . It offers support for them in Ride7, RFlasher7 and STM8_pgm.exe

SECTION 3 Installation

- Before installing the patch, Ride7 and RKit-STM8 version 2.44.12.0199 must be installed on your machine.

- Ensure that you are logged as Administrator

- Close any running instances of Ride7 or RFlasher7.

- Just click on the patch_STLUX.bat fil for the patch to be installed.